package com.hzya.frame.plugin.lets.u8cdto;

import com.hzya.frame.plugin.lets.entity.*;
import com.hzya.frame.ttxofs.dto.ofspoorder.OfsPoOrderData;
import com.hzya.frame.ttxofs.dto.stock.StockinOrderSearchResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.u8cdto
 * @Project：kangarooDataCenterV3
 * @name：PoOrderSonDto
 * @Date：2024/8/20 14:51
 * @Filename：PoOrderSonDto
 */
@Data
public class ConsignmachiningInSonDto extends StockinOrderSearchResponse.StockinOrder.StockinH {

    /**
     * OFS采购订单
     */
    private OfsPoOrderData ofsPoOrderData;

    /**
     * U8C委外订单
     */
    private ScOrderEntity scOrderEntity;

    /**
     * 公司
     */
    private BdCorpEntity bdCorpEntity;

    /**
     * 库存组织
     */
    private BdCalbodyEntity bdCalbodyEntity;

    /**
     * 仓库
     */
    private BdStordocEntity bdStordocEntity;

    /**
     * OFS采购入库单表头
     */
//    private StockinOrderSearchResponse.StockinOrder.StockinH header;

    /**
     * OFS采购入库单表体
     */
    private List<StockinOrderSearchResponse.StockinOrder.StockinB> details;

    /**
     * U8C委外订单明细行
     */
    private List<ScOrderBEntity> scOrderBEntityList;
}
