package com.hzya.frame.ttxofs.dto.ofspurchasereturnorder;

import lombok.Data;

@Data
public class PurchaseReturnOrderHeader {
    private String id;
    private String clientCode;
    private String companyCode;
    private String facilityCode;
    private String code;
    private String status;
    private String refOrderCode;
    private String refOrderId;
    private String internalOrderType;
    private String bizChannel;
    private String shipFromCode;
    private String vendorCode;
    private String vendorName;
    private String shipToAttentionTo;
    private String shipToCountry;
    private String shipToState;
    private String shipToCity;
    private String shipToDistrict;
    private String shipToAddress;
    private String shipToPostalCode;
    private String shipToPhone;
    private String shipToMobile;
    private String shipToFax;
    private String shipToEmail;
    private String totalAmount;
    private String totalLines;
    private String totalQty;
    private String totalWeight;
    private String totalVolume;
    private String totalVolumeWeight;
    private String totalFulfillQty;
    private String totalFulfillAmount;
    private String totalFulfillWeight;
    private String totalFulfillVolume;
    private String weightUM;
    private String volumeUM;
    private String sourcePlatformCode;
    private String sourceOrderId;
    private String sourceOrderCode;
    private String auditBy;
    private String auditAt;
    private String created;
    private String createdBy;
    private String lastUpdated;
    private String lastUpdatedBy;
    private String purchaseOrderType;
}