package com.hzya.frame.plugin.lets.u8cdto;


import lombok.Data;

import java.util.List;

/**
 * 出入库单实体
 *
 * @Author zyd
 */
@Data
public class GeneralBillVO {
    private Parentvo parentvo;
    private List<Childrenvo> childrenvo;

    @Data
    public static class Parentvo {
        /**
         * 单据号
         */
        private String vbillcode;

        /**
         * 库存单据类型编码
         */
        private String cbilltypecode;
        /**
         * 自动拣货标识
         */
        private String isautopick;//自动拣货标识
        /**
         * 公司ID
         */
        private String pk_corp;
        /**
         * 制单人
         */
        private String coperatorid;
        /**
         * 收发类别ID
         */
        private String cdispatcherid;
        /**
         * 仓库ID
         */
        private String cwarehouseid;
        /**
         * 库存组织PK
         */
        private String pk_calbody;
        /**
         * 备注
         */
        private String vnote;
        private String pk_defdoc1;
        private String pk_defdoc10;
        private String pk_defdoc11;
        private String pk_defdoc12;
        private String pk_defdoc13;
        private String pk_defdoc14;
        private String pk_defdoc15;
        private String pk_defdoc16;
        private String pk_defdoc17;
        private String pk_defdoc18;
        private String pk_defdoc19;
        private String pk_defdoc2;
        private String pk_defdoc20;
        private String pk_defdoc3;
        private String pk_defdoc4;
        private String pk_defdoc5;
        private String pk_defdoc6;
        private String pk_defdoc7;
        private String pk_defdoc8;
        private String pk_defdoc9;
    }

    @Data
    public static class Childrenvo {
        /**
         * 存货ID
         */
        private String cinventoryid;
        /**
         * 行号
         */
        private String crowno;
        /**
         * 来源单据行号
         */
        private String vsourcerowno;
        /**
         * 来源单据号
         */
        private String vsourcebillcode;
        /**
         * 来源单据类型
         */
        private String csourcetype;
        /**
         * 来源单据表头id
         */
        private String csourcebillhid;
        /**
         * 出入库单其它来源单据行id
         */
        private String csourcebillbid;
        /**
         * 实出数量
         */
        private String noutnum;
        /**
         * 应出数量
         */
        private String nshouldoutnum;
        /**
         * 实入数量
         */
        private String ninnum;
        /**
         * 应入数量
         */
        private String nshouldinnum;
        /**
         * 批次号
         */
        private String vbatchcode;
        /**
         * 行备注
         */
        private String vnotebody;
        /**
         * ofs来源行号
         */
        private String pk_defdoc20;

    }

}
