package com.hzya.frame.plugin.lets.u8cdto;

import lombok.Data;

import java.util.List;

/**
 * 库存其他入库单
 * @author zyd
 */
@Data
public class GeneralBillVO_4ADto {
    /**
     * 表头
     */
    private Parentvo parentvo;
    /**
     * 表体
     */
    private List<Childrenvo> childrenvo;
    @Data
    public static class Parentvo{
        private String vbillcode;//
        private String cwarehouseid;//
        private String pk_calbody;//库存组织
        private String pk_corp;//
        private String cdispatcherid;//收发类别
        private String coperatorid;//制单人
        private String vnote;
        private String coperatoridnow;
        private String dbilldate;//单据日期
        private String dauditdate;//签字日期

        private String vuserdef19;//自定义项19--->ofs调整单号
        private String vuserdef20;//自定义项20

    }
    @Data
    public static class Childrenvo{
        private String cinventoryid;//存货id
        private String castunitid;
        private String ninnum;//实入数量
        private String nshouldinnum;//应入数量
        private String nprice;//单价
        private String vnotebody;
        private String bonroadflag;
        private String flargess;
        private String dbizdate;//业务日期
        private String nshouldoutnum;
        private String vbatchcode;//批次号
        /**
         * 来源单据号
         */
        private String vsourcebillcode;
        /**
         * 来源单据行号
         */
        private String vsourcerowno;
        /**
         * 来源单据表头id
         */
        private String csourcebillhid;
        /**
         * 来源单据行id
         */
        private String csourcebillbid;

    }


}
